﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO5104 (1 yr) 50 Ohm BW VER VISA /O_CAL+G1
INSTRUMENT:            Sub Tek DPO5104 (1 yr) 1 MOhm BW VER VISA /O_CAL+G1
DATE:                  2012-07-17 14:27:56
AUTHOR:                Fluke
REVISION:              $Revision: 24326 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       444
CONFIGURATION:         Fluke Ocal (1.1GHz)
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        DPO5104
#        MSO5104
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Tek MDO/MSO/DPO Select Channel VISA
#        Sub Tek MDO/MSO/DPO Wait for OPC VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA

  1.002  JMPL         50_Ohm_BW                   PSUBI("50 Ohm")
  1.003  JMPL         1_MOhm_BW                   PSUBI("1 MOhm")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   -e Increment test number

# =====  Sub Tek DPO5104 (1 yr) 50 Ohm BW VER VISA /O_CAL+G1  ===============

  2.001  LABEL        50_Ohm_BW
  2.002  RSLT         =
  2.003  HEAD         {ANALOG BANDWIDTH: Channel [V @Chan], 50 Ohm}
  2.004  RSLT         =
  2.005  HEAD         -2 1 mV/div
  2.006  TARGET
  2.007  VISA         CH[V @Chan]:TER 50;SCA 1E-3
  2.008  VISA         HOR:SCA 10E-6
  2.009  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU CH[V @Chan];COUP DC
  2.010  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYP PK2P;STATE ON
  2.011  VISA         MEASU:STATI:MODE VALUEMEAN
  2.012  VISA         ACQ:STATE STOP;MODE SAM;STOPAFTER SEQ
  2.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.014  JMPL         END                          @Abort
# Set the output of the calibrator is 8 vertical divisions at the selected
# vertical scale with a set frequency of 50 kHz.
  2.015  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  2.015  O_CAL        +Voltage = 8 mVpp; Frequency = 50 kHz
  2.016  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  2.017  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.018  JMPL         END                          @Abort
  2.019  VISA         MEASU:MEAS1:MEAN?[I]
  2.020  MATH         L[1] = MEM
  2.021  VISA         HOR:SCA 4E-9
# Last calibrator amplitude setting is in MEM1.
  2.022  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  2.022  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 175 MHz
  2.023  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  2.024  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.025  JMPL         END                          @Abort
  2.026  VISA         MEASU:MEAS1:MEAN?[I]
  2.027  MATH         L[2] = MEM
  2.028  EVAL   -e (L[2] / L[1]) >= 0.707 : 1 mV/div

  3.001  HEAD         -2 2 mV/div
  3.002  TARGET
  3.003  VISA         CH[V @Chan]:SCA 2E-3
  3.004  VISA         HOR:SCA 10E-6
  3.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  3.005  O_CAL        +Voltage = 16 mVpp; Frequency = 50 kHz
  3.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  3.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.008  JMPL         END                          @Abort
  3.009  VISA         MEASU:MEAS1:MEAN?[I]
  3.010  MATH         L[1] = MEM
  3.011  VISA         HOR:SCA 2E-9
  3.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  3.012  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 350 MHz
  3.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  3.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  3.015  JMPL         END                          @Abort
  3.016  VISA         MEASU:MEAS1:MEAN?[I]
  3.017  MATH         L[2] = MEM
  3.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 2 mV/div

  4.001  HEAD         -2 5 mV/div
  4.002  TARGET
  4.003  VISA         CH[V @Chan]:SCA 5E-3
  4.004  VISA         HOR:SCA 10E-6
  4.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  4.005  O_CAL        +Voltage = 40 mVpp; Frequency = 50 kHz
  4.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  4.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.008  JMPL         END                          @Abort
  4.009  VISA         MEASU:MEAS1:MEAN?[I]
  4.010  MATH         L[1] = MEM
  4.011  VISA         HOR:SCA 1E-9
  4.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  4.012  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 1 GHz
  4.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  4.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  4.015  JMPL         END                          @Abort
  4.016  VISA         MEASU:MEAS1:MEAN?[I]
  4.017  MATH         L[2] = MEM
  4.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 5 mV/div

  5.001  HEAD         -2 10 mV/div
  5.002  TARGET
  5.003  VISA         CH[V @Chan]:SCA 10E-3
  5.004  VISA         HOR:SCA 10E-6
  5.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  5.005  O_CAL        +Voltage = 80 mVpp; Frequency = 50 kHz
  5.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  5.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.008  JMPL         END                          @Abort
  5.009  VISA         MEASU:MEAS1:MEAN?[I]
  5.010  MATH         L[1] = MEM
  5.011  VISA         HOR:SCA 1E-9
  5.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  5.012  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 1 GHz
  5.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  5.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  5.015  JMPL         END                          @Abort
  5.016  VISA         MEASU:MEAS1:MEAN?[I]
  5.017  MATH         L[2] = MEM
  5.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 10 mV/div

  6.001  HEAD         -2 50 mV/div
  6.002  TARGET
  6.003  VISA         CH[V @Chan]:SCA 50E-3
  6.004  VISA         HOR:SCA 10E-6
  6.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  6.005  O_CAL        +Voltage = 400 mVpp; Frequency = 50 kHz
  6.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  6.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.008  JMPL         END                          @Abort
  6.009  VISA         MEASU:MEAS1:MEAN?[I]
  6.010  MATH         L[1] = MEM
  6.011  VISA         HOR:SCA 1E-9
  6.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  6.012  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 1 GHz
  6.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  6.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  6.015  JMPL         END                          @Abort
  6.016  VISA         MEASU:MEAS1:MEAN?[I]
  6.017  MATH         L[2] = MEM
  6.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 50 mV/div

  7.001  HEAD         -2 100 mV/div
  7.002  TARGET
  7.003  VISA         CH[V @Chan]:SCA 100E-3
  7.004  VISA         HOR:SCA 10E-6
  7.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  7.005  O_CAL        +Voltage = 800 mVpp; Frequency = 50 kHz
  7.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  7.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.008  JMPL         END                          @Abort
  7.009  VISA         MEASU:MEAS1:MEAN?[I]
  7.010  MATH         L[1] = MEM
  7.011  VISA         HOR:SCA 1E-9
  7.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  7.012  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 1 GHz
  7.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  7.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  7.015  JMPL         END                          @Abort
  7.016  VISA         MEASU:MEAS1:MEAN?[I]
  7.017  MATH         L[2] = MEM
  7.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 100 mV/div

  8.001  HEAD         -2 1 V/div
  8.002  TARGET
  8.003  VISA         CH[V @Chan]:SCA 1
  8.004  VISA         HOR:SCA 10E-6
  8.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  8.005  O_CAL        +Voltage = 3.5 Vpp; Frequency = 50 kHz
  8.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  8.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.008  JMPL         END                          @Abort
  8.009  VISA         MEASU:MEAS1:MEAN?[I]
  8.010  MATH         L[1] = MEM
  8.011  VISA         HOR:SCA 1E-9
  8.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
  8.012  O_CAL        +Voltage = [MEM1] Vpp; Frequency = 1 GHz
  8.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
  8.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  8.015  JMPL         END                          @Abort
  8.016  VISA         MEASU:MEAS1:MEAN?[I]
  8.017  MATH         L[2] = MEM
  8.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 1 V/div

  9.001  HEAD         -2
  9.002  HEAD
  9.003  O_CAL        Standby
  9.004  END

  9.005  EVAL   -e Increment test number

# =====  Sub Tek DPO5104 (1 yr) 1 MOhm BW VER VISA /O_CAL+G1  ===============

 10.001  LABEL        1_MOhm_BW
 10.002  RSLT         =
 10.003  HEAD         {ANALOG BANDWIDTH: Channel [V @Chan], 1 MOhm}
 10.004  RSLT         =
 10.005  HEAD         -2 1 mV/div
 10.006  TARGET       -p
 10.007  VISA         CH[V @Chan]:TER 1E+6;SCA 1E-3
 10.008  VISA         HOR:SCA 10E-6
 10.009  VISA         TRIG:A:MOD NORM;TYPE EDGE;EDGE:SOU CH[V @Chan];COUP DC
 10.010  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYP PK2P;STATE ON
 10.011  VISA         MEASU:STATI:MODE VALUEMEAN
 10.012  VISA         ACQ:STATE STOP;MODE SAM;STOPAFTER SEQ
 10.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.014  JMPL         END                          @Abort

 10.015  IF           @CalMultiChan

 10.016  IF           @Chan == 1

 10.017  IF           ISVAR("@Timer")
 10.018  MATH         @StopTime = UTIME()
 10.019  MATH         ElapsedTime = FTIME(@StopTime - @StartTime)
 10.020  RSLT         =Elapsed Time: [V ElapsedTime]
 10.021  RSLT         =
 10.022  ENDIF

 10.023  DISP         Connect [V @CalDev] to the DUT as follows:
 10.023  DISP
 10.023  DISP         [32] CH 1 to DUT CH 1 using a 50 Ohm feedthrough
 10.023  DISP         [32] CH 2 to DUT CH 2 using a 50 Ohm feedthrough
 10.023  DISP         [32] CH 3 to DUT CH 3 using a 50 Ohm feedthrough
 10.023  DISP         [32] CH 4 to DUT CH 4 using a 50 Ohm feedthrough
 10.024  ENDIF

 10.025  IF           ISVAR("@Timer")
 10.026  MATH         @StartTime = UTIME()
 10.027  ENDIF

 10.028  ELSE

 10.029  IF           ISVAR("@Timer")
 10.030  MATH         @StopTime = UTIME()
 10.031  MATH         ElapsedTime = FTIME(@StopTime - @StartTime)
 10.032  RSLT         =
 10.033  RSLT         =Elapsed Time: [V ElapsedTime]
 10.034  ENDIF

 10.035  IF           FINDI(@CalDev, "58", 0)
 10.036  DISP         Connect [V @CalDev] CHAN 1 to DUT CH [V @Chan]
 10.036  DISP         using a 50 Ohm feedthrough.
 10.037  ELSE
 10.038  DISP         Connect [V @CalDev] SCOPE OUT to DUT CH [V @Chan]
 10.038  DISP         using a 50 Ohm feedthrough.
 10.039  ENDIF

 10.040  IF           ISVAR("@Timer")
 10.041  MATH         @StartTime = UTIME()
 10.042  ENDIF

 10.043  ENDIF

# Set the output of the calibrator is 8 vertical divisions at the selected
# vertical scale with a set frequency of 50 kHz.
 10.044  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 10.044  O_CAL        +Voltage = 8 mVpp; Frequency = 50 kHz
 10.045  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 10.046  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.047  JMPL         END                          @Abort
 10.048  VISA         MEASU:MEAS1:MEAN?[I]
 10.049  MATH         L[1] = MEM
 10.050  VISA         HOR:SCA 4E-9
# Last calibrator amplitude setting is in MEM1.
 10.051  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 10.051  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 175 MHz
 10.052  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 10.053  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 10.054  JMPL         END                          @Abort
 10.055  VISA         MEASU:MEAS1:MEAN?[I]
 10.056  MATH         L[2] = MEM
 10.057  EVAL   -e (L[2] / L[1]) >= 0.707 : 1 mV/div

 11.001  HEAD         -2 2 mV/div
 11.002  TARGET
 11.003  VISA         CH[V @Chan]:SCA 2E-3
 11.004  VISA         HOR:SCA 10E-6
 11.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 11.005  O_CAL        +Voltage = 16 mVpp; Frequency = 50 kHz
 11.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 11.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.008  JMPL         END                          @Abort
 11.009  VISA         MEASU:MEAS1:MEAN?[I]
 11.010  MATH         L[1] = MEM
 11.011  VISA         HOR:SCA 2E-9
 11.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 11.012  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 350 MHz
 11.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 11.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 11.015  JMPL         END                          @Abort
 11.016  VISA         MEASU:MEAS1:MEAN?[I]
 11.017  MATH         L[2] = MEM
 11.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 2 mV/div

 12.001  HEAD         -2 5 mV/div
 12.002  TARGET
 12.003  VISA         CH[V @Chan]:SCA 5E-3
 12.004  VISA         HOR:SCA 10E-6
 12.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 12.005  O_CAL        +Voltage = 40 mVpp; Frequency = 50 kHz
 12.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 12.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.008  JMPL         END                          @Abort
 12.009  VISA         MEASU:MEAS1:MEAN?[I]
 12.010  MATH         L[1] = MEM
 12.011  VISA         HOR:SCA 1E-9
 12.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 12.012  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 500 MHz
 12.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 12.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 12.015  JMPL         END                          @Abort
 12.016  VISA         MEASU:MEAS1:MEAN?[I]
 12.017  MATH         L[2] = MEM
 12.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 5 mV/div

 13.001  HEAD         -2 10 mV/div
 13.002  TARGET
 13.003  VISA         CH[V @Chan]:SCA 10E-3
 13.004  VISA         HOR:SCA 10E-6
 13.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 13.005  O_CAL        +Voltage = 80 mVpp; Frequency = 50 kHz
 13.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 13.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.008  JMPL         END                          @Abort
 13.009  VISA         MEASU:MEAS1:MEAN?[I]
 13.010  MATH         L[1] = MEM
 13.011  VISA         HOR:SCA 1E-9
 13.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 13.012  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 500 MHz
 13.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 13.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 13.015  JMPL         END                          @Abort
 13.016  VISA         MEASU:MEAS1:MEAN?[I]
 13.017  MATH         L[2] = MEM
 13.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 10 mV/div

 14.001  HEAD         -2 50 mV/div
 14.002  TARGET
 14.003  VISA         CH[V @Chan]:SCA 50E-3
 14.004  VISA         HOR:SCA 10E-6
 14.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 14.005  O_CAL        +Voltage = 400 mVpp; Frequency = 50 kHz
 14.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 14.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.008  JMPL         END                          @Abort
 14.009  VISA         MEASU:MEAS1:MEAN?[I]
 14.010  MATH         L[1] = MEM
 14.011  VISA         HOR:SCA 1E-9
 14.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 14.012  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 500 MHz
 14.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 14.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 14.015  JMPL         END                          @Abort
 14.016  VISA         MEASU:MEAS1:MEAN?[I]
 14.017  MATH         L[2] = MEM
 14.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 50 mV/div

 15.001  HEAD         -2 100 mV/div
 15.002  TARGET
 15.003  VISA         CH[V @Chan]:SCA 100E-3
 15.004  VISA         HOR:SCA 10E-6
 15.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 15.005  O_CAL        +Voltage = 800 mVpp; Frequency = 50 kHz
 15.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 15.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.008  JMPL         END                          @Abort
 15.009  VISA         MEASU:MEAS1:MEAN?[I]
 15.010  MATH         L[1] = MEM
 15.011  VISA         HOR:SCA 1E-9
 15.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 15.012  O_CAL        +Voltage = [MEM1] mVpp; Frequency = 500 MHz
 15.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 15.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 15.015  JMPL         END                          @Abort
 15.016  VISA         MEASU:MEAS1:MEAN?[I]
 15.017  MATH         L[2] = MEM
 15.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 100 mV/div

 16.001  HEAD         -2 1 V/div
 16.002  TARGET
 16.003  VISA         CH[V @Chan]:SCA 1
 16.004  VISA         HOR:SCA 10E-6
 16.005  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 16.005  O_CAL        +Voltage = 3.5 Vpp; Frequency = 50 kHz
 16.006  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 16.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.008  JMPL         END                          @Abort
 16.009  VISA         MEASU:MEAS1:MEAN?[I]
 16.010  MATH         L[1] = MEM
 16.011  VISA         HOR:SCA 1E-9
 16.012  O_CAL        Mode = LeveledSine; Channel = [V @CalChan]
 16.012  O_CAL        +Voltage = [MEM1] Vpp; Frequency = 500 MHz
 16.013  VISA         MEASU:STATI:COUN RESET;:ACQ:STATE RUN[D1000]
 16.014  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
 16.015  JMPL         END                          @Abort
 16.016  VISA         MEASU:MEAS1:MEAN?[I]
 16.017  MATH         L[2] = MEM
 16.018  EVAL   -e (L[2] / L[1]) >= 0.707 : 1 V/div

 17.001  LABEL        END
 17.002  HEAD         -2
 17.003  HEAD
 17.004  O_CAL        Standby
 17.005  END
