﻿Copyright Fluke Calibration. All Rights Reserved.           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MSO/DPO5000 Preliminary Instructions
INSTRUMENT:            Sub Tek MSO/DPO5000 Additional Equipment Req.
DATE:                  2012-08-09 12:43:22
AUTHOR:                Fluke
REVISION:              $Revision: 24326 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       112
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        DPO5034, DPO5054, DPO5104, DPO5204
#        MSO5034, MSO5054, MSO5104, MSO5204
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix TCFA071 Digital Calibration Fixture, PN 067-2121-00
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         PRELIMINARY_INSTRUCTIONS     PSUBI("Preliminary Instr")
  1.002  JMPL         EQUIPMENT_REQUIREMENTS       PSUBI("Additional Equip")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   -e Increment test number

# =====  Sub Tek MSO/DPO5000 Preliminary Instructions  ======================

  2.001  LABEL        PRELIMINARY_INSTRUCTIONS
  2.002  HEAD         PRELIMINARY INSTRUCTIONS
  2.003  DISP         Ensure a minimum DUT warm-up time of at least
  2.003  DISP         20 minutes has been allowed to elapse, prior
  2.003  DISP         to beginning verification.

  2.004  HEAD
  2.005  END

  2.006  EVAL   -e Increment test number

# =====  Sub Tek MSO/DPO5000 Additional Equipment Req.  =====================

  3.001  LABEL        EQUIPMENT_REQUIREMENTS
  3.002  HEAD         EQUIPMENT REQUIREMENTS
  3.003  OPBR         -z Do you want to REVIEW the list of additional
  3.003  OPBR         equipment and/or accessories required?

  3.004  IF           MEM1

  3.005  IF           FIND(@ModelNum, "MSO", 1)

  3.006  IF           FINDI(@CalDev, "9500", 0)
  3.007  DISP         - 50 Ohm terminator (4 ea.)
  3.007  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  3.007  DISP         - Tektronix P6316 digital probe
  3.007  DISP         - Tektronix TCFA074 Digital Calibration Fixture,
  3.007  DISP         [32] PN 067-2121-00
  3.008  ELSE
  3.009  DISP         - 50 Ohm terminator (4 ea.)
  3.009  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36 (2 ea.)
  3.009  DISP         - BNC tee
  3.009  DISP         - Tektronix TCFA074 Digital Calibration Fixture,
  3.009  DISP         [32] PN 067-2121-00
  3.010  ENDIF

  3.011  ELSE

  3.012  IF           FINDI(@CalDev, "9500", 0)
  3.013  DISP         - 50 Ohm terminator (4 ea.)
  3.013  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  3.014  ELSE
  3.015  DISP         - 50 Ohm terminator (4 ea.)
  3.015  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36 (2 ea.)
  3.015  DISP         - BNC tee
  3.016  ENDIF

  3.017  ENDIF        ; Review list of required equipment.

  3.018  ENDIF

  3.019  HEAD
  3.020  END
